%define oname zope.viewlet

%def_with python3

Name: python-module-%oname
Version: 4.0.0
Release: alt3
Summary: Zope Viewlets
License: ZPLv2.1
Group: Development/Python
Url: http://pypi.python.org/pypi/zope.viewlet/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel python-module-setuptools
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools
%endif

%py_requires zope zope.browserpage zope.component zope.configuration
%py_requires zope.contentprovider zope.event zope.i18nmessageid
%py_requires zope.interface zope.location zope.publisher zope.schema
%py_requires zope.security zope.traversing

%description
Viewlets provide a generic framework for building pluggable user
interfaces.

%package -n python3-module-%oname
Summary: Zope Viewlets
Group: Development/Python3
%py3_requires zope zope.browserpage zope.component zope.configuration
%py3_requires zope.contentprovider zope.event zope.i18nmessageid
%py3_requires zope.interface zope.location zope.publisher zope.schema
%py3_requires zope.security zope.traversing

%description -n python3-module-%oname
Viewlets provide a generic framework for building pluggable user
interfaces.

%package -n python3-module-%oname-tests
Summary: Tests for Zope Viewlets
Group: Development/Python3
Requires: python3-module-%oname = %version-%release
%py3_requires zope.testing zope.size

%description -n python3-module-%oname-tests
Viewlets provide a generic framework for building pluggable user
interfaces.

This package contains tests for Zope Viewlets.

%package tests
Summary: Tests for Zope Viewlets
Group: Development/Python
Requires: %name = %version-%release
%py_requires zope.testing zope.size

%description tests
Viewlets provide a generic framework for building pluggable user
interfaces.

This package contains tests for Zope Viewlets.

%prep
%setup

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build

%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%python_install
%ifarch x86_64
install -d %buildroot%python_sitelibdir
mv %buildroot%python_sitelibdir_noarch/* \
	%buildroot%python_sitelibdir/
%endif

%if_with python3
pushd ../python3
%python3_install
popd
%ifarch x86_64
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif
%endif

%files
%doc *.txt *.rst
%python_sitelibdir/*
%exclude %python_sitelibdir/*.pth
%exclude %python_sitelibdir/*/*/tests.*

%files tests
%python_sitelibdir/*/*/tests.*

%if_with python3
%files -n python3-module-%oname
%doc *.txt *.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests.*
%exclude %python3_sitelibdir/*/*/*/tests.*

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/*/tests.*
%python3_sitelibdir/*/*/*/tests.*
%endif

%changelog
* Thu Dec 25 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.0.0-alt3
- Version 4.0.0

* Fri Jul 18 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.0.0-alt2.a1
- Added module for Python 3

* Wed Apr 10 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.0.0-alt1.a1
- Version 4.0.0a1

* Thu Oct 20 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 3.7.2-alt2.1
- Rebuild with Python-2.7

* Wed Jun 29 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7.2-alt2
- Added necessary requirements
- Excluded *.pth

* Mon May 23 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.7.2-alt1
- Initial build for Sisyphus

